%global pre Final

Name:		postgres-decoderbufs
Version:	1.4.0
Release:	1%{?pre:.%pre}%{?dist}
Summary:	PostgreSQL Protocol Buffers logical decoder plugin

License:	MIT
URL:		https://github.com/debezium/postgres-decoderbufs

%global full_version %{version}.%{?pre:%pre}%{?!pre:Final}

Source0:	https://github.com/debezium/%{name}/archive/v%{full_version}.tar.gz

BuildRequires:	gcc
BuildRequires:	clang-devel >= 5.0
BuildRequires:	llvm-devel >= 5.0
BuildRequires:	postgresql-devel >= 9.6, postgresql-server-devel >= 9.6
BuildRequires:	protobuf-c-devel
BuildRequires:  llvm, clang

Requires:	protobuf-c
%{?postgresql_module_requires}

%description
A PostgreSQL logical decoder output plugin to deliver data as Protocol Buffers messages.


%package llvmjit
Summary:	Just-in-time compilation support for %{name}
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description llvmjit
Just-in-time compilation support for %{name}.


%prep
%setup -qn postgres-decoderbufs-%{full_version}


%build
%make_build USE_POSTGIS=false


%install
%make_install


%files
%doc README.md
%license LICENSE
%{_libdir}/pgsql/decoderbufs.so
%{_datadir}/pgsql/extension/decoderbufs.control

%files llvmjit
%{_libdir}/pgsql/bitcode/decoderbufs.index.bc
%{_libdir}/pgsql/bitcode/decoderbufs/


%changelog
* Fri Jan 15 2021 Honza Horak <hhorak@redhat.com> - 1.4.0-1.Final
- Update to 1.4.0

* Wed Nov 18 2020 Honza Horak <hhorak@redhat.com> - 1.3.1-1.Final
- Update to new release 1.3.1

* Mon Feb 17 2020 Patrik Novotný <panovotn@redhat.com> - 0.10.0-2
- Require clang on build time

* Wed Oct 09 2019 Patrik Novotný <panovotn@redhat.com - 0.10.0-1
- Rebase to upstream release 0.10.0

* Thu Sep 12 2019 Patrik Novotný <panovotn@redhat.com - 0.10.0.0-1
- Initial release for PostgreSQL 12 module v0.10.0.CR2

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
* Tue May 14 2019 - Jiri Pechanec <jpechane@redhat.com> 0.9.5-1
- Initial RPM packaging
